import * as THREE from 'three';
import { WebGLRenderer } from 'three';

export interface IResizeService {
  setResize(renderer: THREE.WebGLRenderer, canvas: HTMLCanvasElement): void;
}
class ResizeService implements IResizeService {
  // TODO set resize when window size changed
  public setResize(renderer: WebGLRenderer, canvas: HTMLCanvasElement): void {
    const width = canvas.clientWidth || 1;
    const height = canvas.clientHeight || 1;

    renderer.setPixelRatio(window.devicePixelRatio);
    renderer.setSize(width, height, false);
  }
}

export default ResizeService;
